Get Linked Scrips
Request to be POSTed to uri : /NorenWClientAPI/GetLinkedScrips
Request Details :
| Parameter Name | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| token* | Trading symbol of any of the options or future. Option chain for that underlying will be returned. (use url encoding to avoid special char error for symbols like M&M) | |
| exch* | Exchange (UI need to check if exchange in NFO / CDS / MCX / or any other exchange which has options, if not don't allow) |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/GetLinkedScrips' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer ab2f4117bce53f6b6900c73eebe520468ceea148a3bc4423a973514150f3c415' \
--data 'jData={"uid":"DEMO", "token":"22", "exch":"NSE"}'
Response Details :
Response data will be in json format with below fields
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Not_Ok | Market watch success or failure indication. |
| equls | Array of json objects equls. (object fields given in below table) | |
| fut | Array of json objects fut. (object fields given in below table) | |
| opt_exp | Array of json objects opt_exp. (object fields given in below table) | |
| emsg | This will be present only in case of errors. That is : 1) Invalid Input 2) Session Expired |
equls Json Fields of object in values Array | Possible value | Description |
|---|---|---|
| exch | NSE, BSE ... | Exchange |
| tsym | Trading symbol of the scrip (contract) | |
| token | Token of the scrip (contract) | |
| pp | Price precision | |
| ti | Tick size | |
| ls | Lot size | |
| mult | Contract price multiplier, (used for order value calculation) |
fut Json Fields of object in values Array | Possible value | Description |
|---|---|---|
| exch | NFO, MCX ... | Exchange |
| tsym | Trading symbol of the scrip (contract) | |
| token | Token of the scrip (contract) | |
| pp | Price precision | |
| ti | Tick size | |
| ls | Lot size | |
| mult | Contract price multiplier, (used for order value calculation) |
opt_exp Json Fields of object in values Array | Possible value | Description |
|---|---|---|
| exd | Used for calling option chain api | |
| exch | NFO, MCX ... | Exchange |
| tsym | One of the random Trading symbol on given expiry, useful in calling option chain |
Sample Success Response:
{
"request_time": "12:07:37 19-01-2026",
"stat": "Ok",
"equls": [
{
"exch": "NSE",
"token": "22",
"tsym": "ACC-EQ",
"pp": "2",
"ti": "0.10",
"ls": "1",
"mult": "1"
},
{
"exch": "BSE",
"token": "500410",
"tsym": "ACC",
"pp": "2",
"ti": "0.05",
"ls": "1",
"mult": "1"
}
],
"fut": [],
"opt_exp": []
}
Sample Failure Response:
{
"stat": "Not_Ok",
"emsg": "Invalid Input : Invalid Scrip token/exch"
}